//
// Created by #Suyghur, on 2021/06/15.
//

#ifndef COLUMBUS_RSA_UTILS_H
#define COLUMBUS_RSA_UTILS_H


#include <string>

class RsaUtils {
public:

    static std::string EncryptByPublicKey(std::string public_key, std::string src);

    static std::string DecryptByPublicKey( std::string public_key, std::string raw);

    static std::string DecryptByPublicKey2(JNIEnv *env,std::string public_key, std::string raw);


private:

    static std::string GeneratePublicKey(std::string encode_key);

    static std::string Encrypt(const std::string &public_key, const std::string &src);

    static std::string Decrypt(const std::string &public_key, const std::string &src);

    static std::string Decrypt2(JNIEnv *env,const std::string &public_key, const std::string &src);



//    static std::string Encode(const std::string &src);
//
//    static char *Decode(const char *raw);


};


#endif //COLUMBUS_RSA_UTILS_H
